/********************************************************************************
 Author : Akshay Kumar B U (akshay.kumar@analog.com)
					India Applications Support Team 

 Date : January 2014

 File name : ADuCM360Driver.h

 Description : This header file contains all functions and parameter declarations 
               for the ADuCM360 initialization and communication with AD5687 through SPI.

 Hardware plateform : ADuCM360 	+ AD5687
********************************************************************************/



#ifndef ADUCM360_DRIVER_H
#define ADUCM360_DRIVER_H


//---------------------------------------
//      AD5687 pins configuration
//---------------------------------------
#define PIN_HIGH	0x1
#define PIN_LOW	 0x0

#define AD5687_SYNC	0x11  //P1.1
#define AD5687_SCLK 0x12  //P1.2
#define AD5687_SDIN 0x13  //P1.3
#define AD5687_LDAC 0x14  //P1.4
#define AD5687_RESET 0x15 //P1.5
#define AD5687_SDO 0x16   //P1.6



//------------------------------------
//External Function declarations
//------------------------------------

void ADuCM360_Initialize(void);
void Delay(unsigned long int DelayTime);
void SPIinitialize(void);
void ADuCM360GpioOutput(unsigned char  GpioNo, unsigned char OutputValue);
unsigned int ADuCM360GpioInput(unsigned char  GpioNo);
void SpiReadWrite(unsigned char *InputBuf, unsigned char *OutputBuf, unsigned char NoOfByte);
void WriteRegister(unsigned long int WriteData);


#endif



